API referenceSources
Get Source URL Detail
Returns an aggregated summary for a single source URL over the date range.
Returns an aggregated summary for a single source URL over the date range.
Path Parameters
projectId*string
Project ID (see List Projects)
urlId*string
Source URL ID (see Get Source URL Analytics).
Query Parameters
filter*
Response Body
application/json
curl -X GET "https://example.com/projects/string/sources/urls/string?filter%5BstartDate%5D=2026-01-01&filter%5BendDate%5D=2026-03-19&filter%5Blanguages%5D=en%2Cde&filter%5Bcountries%5D=US%2CDE&filter%5Bmodels%5D=microsoft%2Fcopilot-search%2Cgoogle%2Fai-overview%2Cgoogle%2Fai-mode%2Cperplexity%2Fsearch%2Cgemini%2Fsearch%2Copenai%2Fchatgpt&filter%5BpromptTypes%5D=informational%2Cnavigational&filter%5BisBranded%5D=true&filter%5BpersonaIds%5D=string&filter%5BofferingIds%5D=string&filter%5BpromptTagIds%5D=string&filter%5BbrandIds%5D=string"{
"data": {
"id": "string",
"kind": "string",
"label": "string",
"title": "string",
"domain": "example.com",
"responseCount": 0,
"presence": 0,
"cited": 0,
"avgPosition": 0,
"promptCount": 0,
"urlCount": 0,
"models": [
"string"
],
"brandMentions": [
"string"
],
"type": "string",
"category": "string",
"rank": 0,
"firstSeen": "string",
"lastSeen": "string"
}
}